fature.al eshte platforma e faturimit dhe fiskalizimit per bizneset ne Shqiperi. Hap nje llogari
Skip to content
fature.al API Menu

Perditeso njesine e biznesit (Branch)

POST /api/v1/on-boarding/branch/{id} Requires authentication Rate limited by the `api-global` limiter v1

Send a bearer token in the Authorization header.

Perditesoni emrin, adresen, administratorin dhe kodin e biznesit per nje njesi biznesi ekzistuese. Kodi i biznesit (businessUnitCode) eshte i domosdoshem per leshimin e faturave.

Full URL: https://fature.al/api/v1/on-boarding/branch/{id}

Path parameters

Name Type Required Description
id integer yes ID e njesise se biznesit.

Responses

200 Kur njesia nuk gjendet ose ruajtja deshton, pergjigja kthehet me HTTP 200 dhe `status: false`.

201 Created

Field Type Description
status boolean
data object
data.branch object
data.branch.id integer
data.branch.name string
data.branch.businessUnitCode string

Example request

cURL
curl -X POST 'https://fature.al/api/v1/on-boarding/branch/12' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'X-Client-Id: YOUR_CLIENT_ID' \
  -H 'X-Client-Secret: YOUR_CLIENT_SECRET' \
  -H 'Accept: application/json'
PHP (Laravel)
use Illuminate\Support\Facades\Http;

$response = Http::withHeaders([
    'Authorization' => 'Bearer YOUR_TOKEN',
    'X-Client-Id' => 'YOUR_CLIENT_ID',
    'X-Client-Secret' => 'YOUR_CLIENT_SECRET',
    'Accept' => 'application/json',
])->post('https://fature.al/api/v1/on-boarding/branch/12');

$data = $response->json();
PHP (Guzzle)
use GuzzleHttp\Client;

$client = new Client();

$response = $client->request('POST', 'https://fature.al/api/v1/on-boarding/branch/12', [
    'headers' => [
        'Authorization' => 'Bearer YOUR_TOKEN',
        'X-Client-Id' => 'YOUR_CLIENT_ID',
        'X-Client-Secret' => 'YOUR_CLIENT_SECRET',
        'Accept' => 'application/json',
    ],
]);

$data = json_decode((string) $response->getBody(), true);
JavaScript
const response = await fetch('https://fature.al/api/v1/on-boarding/branch/12', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer YOUR_TOKEN',
    'X-Client-Id': 'YOUR_CLIENT_ID',
    'X-Client-Secret': 'YOUR_CLIENT_SECRET',
    'Accept': 'application/json'
  }
});

const data = await response.json();

Example response

201
{
    "status": true,
    "data": {
        "branch": {
            "id": 1,
            "name": "Jane Doe",
            "businessUnitCode": "businessUnitCode"
        }
    }
}

Regjistrimi eshte falas.

Regjistrohu ne fature.al

This page as Markdown, or the whole API as OpenAPI.